/*
 This is an example configuration file.
 COPY OR RENAME THIS FILE TO config.js.
 Make sure you use real IDs from your HA entities.
*/

var CONFIG = {
   customTheme: CUSTOM_THEMES.HOMEKIT, // CUSTOM_THEMES.TRANSPARENT, CUSTOM_THEMES.MATERIAL, CUSTOM_THEMES.MOBILE, CUSTOM_THEMES.COMPACT, CUSTOM_THEMES.HOMEKIT, CUSTOM_THEMES.WINPHONE, CUSTOM_THEMES.WIN95
   transition: TRANSITIONS.ANIMATED_GPU, //ANIMATED or SIMPLE (better perfomance)
   entitySize: ENTITY_SIZES.BIG, //SMALL, BIG are available
   tileSize: 160,
   tileMargin: 8,
   serverUrl: 'http://' + location.hostname + ':8123',
   wsUrl: 'ws://' + location.hostname + ':8123/api/websocket',
   authToken: null, // optional long-lived token (CAUTION: only if TileBoard is not exposed to the internet)
   //googleApiKey: "XXXXXXXXXX", // Required if you are using Google Maps for device tracker
   //mapboxToken: "XXXXXXXXXX", // Required if you are using Mapbox for device tracker
   debug: false, // Prints entities and state change info to the console.
   pingConnection: true, //ping connection to prevent silent disconnections
   locale: 'en-us', // locale for date and number formats - available locales: it, de, es, fr, pt, ru, nl, pl, en-gb, en-us (default). See readme on adding custom locales.
   // next fields are optional
   events: [],
   timeFormat: 24,
   menuPosition: MENU_POSITIONS.LEFT, // or BOTTOM
   hideScrollbar: false, // horizontal scrollbar
   groupsAlign: GROUP_ALIGNS.HORIZONTALLY, // HORIZONTALLY, VERTICALLY, GRID
   onReady: function () {},
   
 
   header: { // https://github.com/resoai/TileBoard/wiki/Header-configuration
      styles: {
         margin: '30px 130px 0',
         fontSize: '28px'
      },
      right: [
         
         {
            type: HEADER_ITEMS.WEATHER,
            styles: {
               margin: '0'
            },
            icon: '&weather.lakeside.state',
            state: '&weather.lakeside.state',
            icons: {
               'clear-day': 'clear',
               'clear-night': 'nt-clear',
               'cloudy': 'cloudy',
               'exceptional': 'unknown',
               'fog': 'fog',
               'hail': 'sleet',
               'lightning': 'chancestorms',
               'lightning-rainy': 'tstorms',
               'partly-cloudy-day': 'partlycloudy',
               'partly-cloudy-night': 'nt-partlycloudy',
               'partlycloudy': 'partlycloudy',
               'pouring': 'rain',
               'snowy': 'snow',
               'snowy-rainy': 'sleet',
               'wind': 'unknown',
               'windy': 'unknown',
               'windy-variant': 'unknown'
            },
            states: {
               'clear-night': 'Clear, night',
               'cloudy': 'Cloudy',
               'exceptional': 'Exceptional',
               'fog': 'Fog',
               'hail': 'Hail',
               'lightning': 'Lightning',
               'lightning-rainy': 'Lightning, rainy',
               'partlycloudy': 'Partly cloudy',
               'pouring': 'Pouring',
               'rainy': 'Rainy',
               'snowy': 'Snowy',
               'snowy-rainy': 'Snowy, rainy',
               'sunny': 'Sunny',
               'windy': 'Windy',
               'windy-variant': 'Windy'
            },
            fields: {
               temperature: '&weather.lakeside.attributes.temperature',
               temperatureUnit: '°C',
            }
          }
      ],
      left: [
         {
            type: HEADER_ITEMS.CUSTOM_HTML,
            html: '<b><i>Lakeside   </b>   </i><span style="margin-left:20px"></span>  <clock></clock>',
            dateFormat: 'EEEE, dd LLLL',
         },
         // {
         //    type: HEADER_ITEMS.DATE,
         //    dateFormat: 'EEEE, LLLL dd', //https://docs.angularjs.org/api/ng/filter/date
          //},
      ]
   },
 
   /*screensaver: {// optional. https://github.com/resoai/TileBoard/wiki/Screensaver-configuration
      timeout: 300, // after 5 mins of inactive
      slidesTimeout: 10, // 10s for one slide
      styles: { fontSize: '40px' },
      leftBottom: [{ type: SCREENSAVER_ITEMS.DATETIME }], // put datetime to the left-bottom of screensaver
      slides: [
         { bg: 'images/bg1.jpeg' },
         {
            bg: 'images/bg2.png',
            rightTop: [ // put text to the 2nd slide
               {
                  type: SCREENSAVER_ITEMS.CUSTOM_HTML,
                  html: 'Welcome to the <b>TileBoard</b>',
                  styles: { fontSize: '40px' }
               }
            ]
         },
         { bg: 'images/bg3.jpg' }
      ]
   },*/
 
   pages: [
      {
         title: 'Main page',
         bg: 'images/waves.jpg',
         icon: 'mdi-home-outline', // home icon
         groups: [
            {
               title: 'Entry',
               width: 1,
               height: 3,
               // row: 0,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 0],
                   id: 'camera.stratus_door_intercom',
                   type: TYPES.CAMERA,
                   bgSize: 'cover',
                   width: 1,
                   state: false,
                   title: 'Intercom',
                   bufferLength: 5,
                   fullscreen: {
                      type: TYPES.CAMERA_STREAM,
                      objFit: 'contain',  // https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit
                      id: 'camera.stratus_door_intercom',  // Optional: camera entity to use on fullscreen, defaults to the tile camera entity if omitted
                      bufferLength: 5  // Optional: buffer length in seconds for the HLS buffer, default is 5 seconds
                   },
                   refresh: 1500  // can be number in milliseconds
                },{
                  position: [0, 1],
                  width: 1,
                  height: 1,
                  title: 'Door Status',
                  id: {}, // since we are binding each list item to different sensor, so we simply use an empty object
                  type: TYPES.TEXT_LIST,
                  state: false,
                  list: [
                     {
                        title: 'Front',
                        icon: 'mdi-door',
                        value: '&sensor.tb_front_door.state'
                        
                     },
                     {
                        title: 'Back',
                        icon: 'mdi-door',
                        value: '&sensor.tb_back_door.state'
                     },
                     {
                        title: 'Sliding',
                        icon: 'mdi-door',
                        value: '&sensor.tb_sliding_door.state'
                     },{
                        title: 'Shed',
                        icon: 'mdi-garage',
                        value: '&sensor.tb_shed_door.state'
                     }
                  ]
               },
               {
                  position: [0, 2],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'switch.sheddoor_switch', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "Open",
                    off: "Closed"
                 },
                  title: 'Shed Door',
                  icons: {'off': 'mdi-garage', 'on': 'mdi-garage-open'}
               },{
                  position: [0, 3],
                  type: TYPES.IMAGE,
                  id: {},
                  url: 'images/wifi.png'
               },
               ]
            },
            {
               title: 'Kitchen & Dining',
               width: 1,
               height: 3,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 1],
                   width: 1,
                   type: TYPES.SWITCH,
                   //id: "switch.lights",
                   id: 'light.kitchen_light', // replace it with real string id (e.g. "switch.lights")
                   states: {
                     on: "On",
                     off: "Off"
                  },
                   title: 'Kitchen',
                   icons: {'off': 'mdi-dome-light', 'on': 'mdi-dome-light'}
                },
                {
                  position: [0, 2],
                  id: 'fan.dining_fan',
                  type: TYPES.SLIDER,
                  unit: '%',
                  title: 'Dining Fan',
                  icon: 'mdi-fan',  // Optional. Slider size will be adjusted automatically.
                  // vertical: true,  // Show vertical slider (default: false - horizontal).
                  // singleLine: true,  // Makes the optional icon, the slider and the icon be shown on single line (default: false, only works with horizontal slider).
                  // legacy: true,  // Old-style slider that only works in horizontal mode (default: false).
                  // bottom: true, // puts slider on the bottom (default: false, only work with the legacy slider).
                  state: false,
                  // For light entities a filter function can be used to convert the value from 0-255 to 0-100% range.
                  //filter: function (value) {
                  //   var num = parseFloat(value) / 2.55;
                 //    return num && !isNaN(num) ? num.toFixed() : 0;
                 // },
                  slider: {
                     max: 100,
                     min: 0,
                     step: 33,
                     field: 'brightness',
                     // sliderWidth: '60',     // Custom slider width
                     // sliderHeight: '270',   // Custom slider height
                     request: {
                        type: "call_service",
                        domain: "fan",
                        service: "turn_on",
                        field: "percentage"
                     },
                  },
              },{
                  position: [0, 0],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'light.dining_light', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Dining Room',
                  icons: {'off': 'mdi-dome-light', 'on': 'mdi-dome-light'}
               },{
                  position: [0, 3],
                  width: 1,
                  type: TYPES.LIGHT,
                  //id: "switch.lights",
                  id: 'light.hue_white_lamp_1', // replace it with real string id (e.g. "switch.lights")
                  states: {
                     on: "On",
                     off: "Off"
                  },
                  title: 'Dining Lamp',
                  icons: {'off': 'mdi-lamp', 'on': 'mdi-lamp'},
                  sliders: [
                     {
                        title: 'Brightness',
                        field: 'brightness',
                        max: 255,
                        min: 0,
                        step: 5,
                        request: {
                           type: "call_service",
                           domain: "light",
                           service: "turn_on",
                           field: "brightness"
                        }
                     },
                     {
                        title: 'Color temp',
                        field: 'color_temp',
                        max: 588,
                        min: 153,
                        step: 15,
                        request: {
                           type: "call_service",
                           domain: "light",
                           service: "turn_on",
                           field: "color_temp"
                        }
                     }
                  ]
               },
   
               ]
            },
            {
               title: 'Living Room',
               width: 1,
               height: 3,
               // row: 0,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 0],
                   width: 1,
                   type: TYPES.SWITCH,
                   //id: "switch.lights",
                   id: 'light.living_room_lights', // replace it with real string id (e.g. "switch.lights")
                   states: {
                      on: "On",
                      off: "Off"
                   },
                   title: 'Lights',
                   icons: {'off': 'mdi-lamps', 'on': 'mdi-lamps'}
                },
                  {
                  position: [0, 2],
                  id: 'fan.living_fan',
                  type: TYPES.SLIDER,
                  unit: '%',
                  title: 'Living Fan',
                  icon: 'mdi-fan',  // Optional. Slider size will be adjusted automatically.
                  // vertical: true,  // Show vertical slider (default: false - horizontal).
                  // singleLine: true,  // Makes the optional icon, the slider and the icon be shown on single line (default: false, only works with horizontal slider).
                  // legacy: true,  // Old-style slider that only works in horizontal mode (default: false).
                  // bottom: true, // puts slider on the bottom (default: false, only work with the legacy slider).
                  state: false,
                  // For light entities a filter function can be used to convert the value from 0-255 to 0-100% range.
                  //filter: function (value) {
                  //   var num = parseFloat(value) / 2.55;
                 //    return num && !isNaN(num) ? num.toFixed() : 0;
                 // },
                  slider: {
                     max: 100,
                     min: 0,
                     step: 33,
                     field: 'brightness',
                     // sliderWidth: '60',     // Custom slider width
                     // sliderHeight: '270',   // Custom slider height
                     request: {
                        type: "call_service",
                        domain: "fan",
                        service: "turn_on",
                        field: "percentage"
                     },
                  },
              },
                {
                  position: [0, 1],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'light.entry_light', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Entrance',
                  icons: {'off': 'mdi-globe-light', 'on': 'mdi-globe-light'}
               },
               {
                  position: [0, 3],
                  width: 1,
                  type: TYPES.LIGHT,
                  //id: "switch.lights",switch.3_gang_wall_switch_6903ha_switch_1
                  id: 'light.lounge_lamp', // replace it with real string id (e.g. "switch.lights")light.genio_smart_wifi_bulb_g95
                  states: {
                     on: "On",
                     off: "Off"
                  },
                  title: 'Lounge Lamp',
                  icons: {'off': 'mdi-floor-lamp', 'on': 'mdi-floor-lamp'}
               }
 
               ],
            },
            {
               title: 'House',
               width: 1,
               height: 3,
               // row: 0,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 2],
                   width: 1,
                   type: TYPES.SWITCH,
                   //id: "switch.lights",
                   id: 'group.saltlamps', // replace it with real string id (e.g. "switch.lights")
                   states: {
                      on: "On",
                      off: "Off"
                   },
                   title: 'Salt Lamps',
                   icons: {'off': 'mdi-lava-lamp', 'on': 'mdi-lava-lamp'}
                },
                
                {
                  position: [0, 0],
                  type: TYPES.POPUP,
                  id: {},
                  icon: 'mdi-bookmark-multiple',
                  title: 'Scenes',
                  state: false,
                  popup: {
                     tileSize: 200,
                     items: [
                        {
                           position: [0, 0],
                           width: 1,
                           type: TYPES.LIGHT,
                           //id: "switch.lights",
                           id: 'light.lines_jarrods_desk', // replace it with real string id (e.g. "switch.lights")
                           states: {
                              on: "On",
                              off: "Off"
                           },
                           title: 'Jarrods Desk Lines',
                           icons: {'off': 'mdi-triangle-outline', 'on': 'mdi-triangle-outline'}
                        },
                        {
                           position: [1, 0],
                           width: 1,
                           type: TYPES.LIGHT,
                           //id: "switch.lights",
                           id: 'light.lines_61dc', // replace it with real string id (e.g. "switch.lights")light.genio_smart_wifi_bulb_g95
                           states: {
                              on: "On",
                              off: "Off"
                           },
                           title: 'Wall Lines',
                           icons: {'off': 'mdi-triangle-outline', 'on': 'mdi-triangle-outline'}
                        }
                     ]
                  }
               },{
                  position: [0,1],
                  type: TYPES.POPUP,
                  id: {},
                  icon: 'mdi-robot-vacuum-variant',
                  title: 'Robi',
                  state: false,
                  popup: {
                     tileSize: 200,
                     items: [
                        {
                           position: [2, 0],
                           id: 'camera.robi_live_map',
                           type: TYPES.CAMERA,
                           bgSize: 'cover',
                           width: 2,
                           height: 3,
                           state: false,
                           title: 'Clean Map',
                           bufferLength: 5,
                           fullscreen: {
                              type: TYPES.CAMERA_STREAM,
                              objFit: 'contain',  // https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit
                              id: 'camera.stratus_door_intercom',  // Optional: camera entity to use on fullscreen, defaults to the tile camera entity if omitted
                              bufferLength: 5  // Optional: buffer length in seconds for the HLS buffer, default is 5 seconds
                           },
                           refresh: 1500  // can be number in milliseconds
                        },{
                           position: [0, 0],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_bed_loun_desk',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        },{
                           position: [0, 1],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_kitch_din_laund',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        },{
                           position: [0, 2],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_nic_bath',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        },{
                           position: [1, 0],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_kitchen',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        },{
                           position: [1, 1],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_jarrod_desk',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        },{
                           position: [1, 2],
                           type: TYPES.SCRIPT,
                           id: 'script.robi_return',
                           icons: {
                              on: "mdi-robot-vacuum-variant",
                              off: "mdi-robot-vacuum-variant"
                           },
                           state: false,
                           variables: { var1: 'foo' },
                        }
                     ]
                  }
               },{
                  position: [0, 3],
                  width: 1,
                  type: TYPES.LIGHT,
                  //id: "switch.lights",switch.3_gang_wall_switch_6903ha_switch_1
                  id: 'light.fronthouse_light', // replace it with real string id (e.g. "switch.lights")light.genio_smart_wifi_bulb_g95
                  states: {
                     on: "On",
                     off: "Off"
                  },
                  title: 'House Sconce',
                  icons: {'off': 'mdi-wall-sconce-flat', 'on': 'mdi-wall-sconce-flat'}
               }
 
               ],
            },{
               title: 'Other',
               width: 1,
               height: 3,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0group.shower
               items: [
                  
                {
                  position: [0, 0],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'group.shower', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Shower Light & Fan',
                  icons: {'off': 'mdi-shower-head', 'on': 'mdi-shower-head'}
               },
               {
                  position: [0, 1],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'light.hallway_light', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Bathroom Hallway',
                  icons: {'off': 'mdi-dome-light', 'on': 'mdi-dome-light'}
               },{
                  position: [0, 3],
                  width: 1,
                  height: 1,
                  title: 'House Temps',
                  id: {}, // since we are binding each list item to different sensor, so we simply use an empty object
                  type: TYPES.TEXT_LIST,
                  state: false,
                  list: [
                     {
                        title: 'Living',
                        icon: 'mdi-sofa',
                        value: '&sensor.smart_ac_control_wr2666999552_current_temperature.state'
                        
                     },{
                        title: 'Dining',
                        icon: 'mdi-stove',
                        value: '&sensor.tz3000_qaaysllp_ts0201_3a4c0cfe_temperature.state'
                     },
                     {
                        title: 'Bedroom',
                        icon: 'mdi-bed',
                        value: '&sensor.smart_ac_control_wr2806390272_current_temperature.state'
                     },{
                        title: 'Server',
                        icon: 'mdi-garage',
                        value: '&sensor.temp_shed_temperature.state'
                     }
                  ]
               },{
                  position: [0, 2],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'group.all_lights', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'All Lights Off',
                  icons: {'off': 'mdi-power', 'on': 'mdi-power'}
               },
   
               ]
            },
            {
               title: 'Desks',
               width: 1,
               height: 3,
               row: 0,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 0],
                   width: 1,
                   type: TYPES.SWITCH,
                   //id: "switch.lights",
                   id: 'light.jarrods_desk_lights', // replace it with real string id (e.g. "switch.lights")
                   states: {
                     on: "On",
                     off: "Off"
                  },
                   title: 'Jarrods Desk',
                   icons: {'off': 'mdi-lightbulb-group', 'on': 'mdi-lightbulb-group'}
                },
                {
                  position: [0, 1],
                  type: TYPES.POPUP,
                  id: {},
                  icon: 'mdi-fan',
                  title: 'Desk Fans',
                  state: false,
                  popup: {
                     tileSize: 200,
                     items: [
                        {
                           position: [0, 0],
                           type: TYPES.FAN,
                           title: 'Jarrods Fan',
                           id: 'fan.jarroddesk_fan',
                           icons: {'off': 'mdi-fan', 'on': 'mdi-fan'}
                        },
                        {
                           position: [0, 1],
                           type: TYPES.FAN,
                           title: 'Nics Fan',
                           id: 'fan.fan_2',
                           icons: {'off': 'mdi-fan', 'on': 'mdi-fan'}
                        },
                     ]
                  }
               },
                
               {
                  position: [0, 2],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'light.nics_desk_lights', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Nics Desk',
                  icons: {'off': 'mdi-lightbulb-group', 'on': 'mdi-lightbulb-group'}
               },
   
               ],
            },
 
            {
               title: 'Bedroom',
               width: 1,
               height: 3,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0
               items: [
                {
                   position: [0, 0],
                   width: 1,
                   type: TYPES.LIGHT,
                   //id: "switch.lights",
                   id: 'light.hue_lightstrip_plus_1', // replace it with real string id (e.g. "switch.lights")
                   states: {
                      on: "On",
                      off: "Off"
                   },
                   title: 'Light Bar',
                   icons: {'off': 'mdi-led-strip-variant', 'on': 'mdi-led-strip-variant'},sliders: [
       {
          title: 'Brightness',
          field: 'brightness',
          max: 255,
          min: 0,
          step: 50,
          request: {
             type: "call_service",
             domain: "light",
             service: "turn_on",
             field: "brightness"
          }
       }
    ],
                },
               
                  {
                  position: [0, 1],
                  id: 'fan.bedroom_fan',
                  type: TYPES.SLIDER,
                  unit: '%',
                  title: 'Bedroom Fan',
                  icon: 'mdi-fan',  // Optional. Slider size will be adjusted automatically.
                  // vertical: true,  // Show vertical slider (default: false - horizontal).
                  // singleLine: true,  // Makes the optional icon, the slider and the icon be shown on single line (default: false, only works with horizontal slider).
                  // legacy: true,  // Old-style slider that only works in horizontal mode (default: false).
                  // bottom: true, // puts slider on the bottom (default: false, only work with the legacy slider).
                  state: false,
                  // For light entities a filter function can be used to convert the value from 0-255 to 0-100% range.
                  //filter: function (value) {
                  //   var num = parseFloat(value) / 2.55;
                 //    return num && !isNaN(num) ? num.toFixed() : 0;
                 // },
                  slider: {
                     max: 100,
                     min: 0,
                     step: 33,
                     field: 'brightness',
                     // sliderWidth: '60',     // Custom slider width
                     // sliderHeight: '270',   // Custom slider height
                     request: {
                        type: "call_service",
                        domain: "fan",
                        service: "turn_on",
                        field: "percentage"
                     },
                  },
              },{
               position: [0, 2],
               width: 1,
               type: TYPES.SWITCH,
               //id: "switch.lights",
               id: 'light.bedroom_light', // replace it with real string id (e.g. "switch.lights")
               states: {
                 on: "On",
                 off: "Off"
              },
               title: 'Roof',
               icons: {'off': 'mdi-dome-light', 'on': 'mdi-dome-light'}
            },
 
               ]
            },{
               title: 'Outdoors',
               width: 1,
               height: 3,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0group.shower
               items: [
                {
                  position: [0, 0],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'light.patio_light', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Verandah Lights',
                  icons: {'off': 'mdi-outdoor-lamp', 'on': 'mdi-outdoor-lamp'}
               },{
                  position: [0, 1],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'switch.bugzapper', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Bug Zapper',
                  icons: {'off': 'mdi-shield-bug', 'on': 'mdi-shield-bug'}
               },{
                  position: [0, 2],
                  width: 1,
                  type: TYPES.SWITCH,
                  //id: "switch.lights",
                  id: 'switch.waterfountian', // replace it with real string id (e.g. "switch.lights")
                  states: {
                    on: "On",
                    off: "Off"
                 },
                  title: 'Water Fountian',
                  icons: {'off': 'mdi-fountain', 'on': 'mdi-fountain'}
               }
   
               ]
            },{
               title: 'AirCon',
               width: 1,
               height: 3,
               // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0group.shower
               items: [
                  {
                     title: 'Living Room',
                     position: [0, 0],
                     id: 'climate.smart_ac_control_wr2666999552',
                     type: TYPES.CLIMATE,
                     unit: '°C',
                     useHvacMode: true,  // Optional: enables HVAC mode (by default uses PRESET mode)
                     state: function (item, entity) {
                        return 'Actual: ' + this.$scope.filterNumber(entity.attributes.current_temperature, 1) + ' °C';
                     },
                     states: {
                        'cool': 'Cool',
                        'auto': 'Automatic',
                        'heat': 'Heat',
                        'off': 'Off'
                     },
                  },
                  {
                     title: 'Bedroom',
                     position: [0, 1],
                     id: 'climate.smart_ac_control_wr2806390272',
                     type: TYPES.CLIMATE,
                     unit: '°C',
                     useHvacMode: true,  // Optional: enables HVAC mode (by default uses PRESET mode)
                     state: function (item, entity) {
                        return 'Actual: ' + this.$scope.filterNumber(entity.attributes.current_temperature, 1) + ' °C';
                     },
                     states: {
                        'cool': 'Cool',
                        'auto': 'Automatic',
                        'heat': 'Heat',
                        'off': 'Off'
                     },
                  }
   
               ]
            },{
            title: 'Garage',
            width: 3,
            height: 3,
            // row: 1,  // optional; index of the row used for the GRID layout. If not specified, the default is 0group.shower
            items: [
             {
                position: [0, 0],
                width: 1,
                type: TYPES.SWITCH,
                //id: "switch.lights",
                id: 'light.shed_light', // replace it with real string id (e.g. "switch.lights")
                states: {
                  on: "On",
                  off: "Off"
               },
                title: 'Lights',
                icons: {'off': 'mdi-dome-light', 'on': 'mdi-dome-light'}
             },{
               position: [1, 1],
               width: 1,
               type: TYPES.SWITCH,
               //id: "switch.lights",
               id: 'light.shed_light', // replace it with real string id (e.g. "switch.lights")
               states: {
                 on: "On",
                 off: "Off"
              },
               title: 'Shed TV',
               icons: {'off': 'mdi-television', 'on': 'mdi-television'}
            },{
               position: [1, 0],
               width: 1,
               type: TYPES.SWITCH,
               //id: "switch.lights",
               id: 'group.sheddesk', // replace it with real string id (e.g. "switch.lights")
               states: {
                 on: "On",
                 off: "Off"
              },
               title: 'Above Desk Lights',
               icons: {'off': 'mdi-desk', 'on': 'mdi-desk'}
            },{
               position: [0, 1],
               width: 1,
               type: TYPES.SWITCH,
               //id: "switch.lights",
               id: 'switch.batterycharger_switch', // replace it with real string id (e.g. "switch.lights")
               states: {
                 on: "On",
                 off: "Off"
              },
               title: 'Battery Charger',
               icons: {'off': 'mdi-battery-charging-10', 'on': 'mdi-battery-charging-10'}
            },{
               position: [0, 2],
               width: 1,
               type: TYPES.SWITCH,
               //id: "switch.lights",
               id: 'switch.garage_extraction', // replace it with real string id (e.g. "switch.lights")
               states: {
                 on: "On",
                 off: "Off"
              },
               title: 'Extraction Fan',
               icons: {'off': 'mdi-fan-chevron-up', 'on': 'mdi-fan-chevron-up'}
            },
            {
               position: [0, 3],
               id: 'camera.cctv_cam_01',
               title: 'Shed',
               type: TYPES.CAMERA,
               bgSize: 'cover',
               width: 2,
               state: false,
               fullscreen: {
                  type: TYPES.CAMERA_STREAM,
                  objFit: 'contain',  // https://developer.mozilla.org/en-US/docs/Web/CSS/object-fit
                  id: 'camera.cctv_cam_01',  // Optional: camera entity to use on fullscreen, defaults to the tile camera entity if omitted
                  bufferLength: 5  // Optional: buffer length in seconds for the HLS buffer, default is 5 seconds
               },
               refresh: 5000,  // can be number in milliseconds
            },

            ]
         }
         
         ]
      },{
         title: 'Second page',
         bg: 'images/bubbles.jpg',
         icon: 'mdi-numeric-2-box-outline',
         groups: [
            {
               title: 'Power Usage',
               width: 4,
               height: 3,
               items: [
                  {
                     position: [0, 0],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 4,
                     height: 2,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=24'
                  },{
                     position: [0, 2],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 4,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=14'
                  },{
                     position: [0, 3],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 4,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=28'
                  }
               ]
            },{
               title: '',
               width: 1,
               height: 3,
               items: [
                  {
                     position: [0, 0],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=10'
                  },{
                     position: [0, 1],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=8'
                  },{
                     position: [0, 2],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/xnYAdJZnz/kasa?orgId=1&refresh=5m&panelId=20'
                  }
                  
               ]
            },{
               title: '',
               width: 1,
               height: 3,
               items: [
                  {
                     position: [0, 0],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/Ba3o7-G7k/apc-ups-dashboard?orgId=1&refresh=5s&panelId=14'
                  },{
                     position: [0, 1],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/Ba3o7-G7k/apc-ups-dashboard?orgId=1&refresh=5s&panelId=15'
                  },{
                     position: [0, 2],
                     type: TYPES.IFRAME,
                     id: {},
                     width: 1,
                     height: 1,
                     //refresh: 20000, // 10 seconds
                     url: 'http://10.0.0.5:3000/d-solo/Ba3o7-G7k/apc-ups-dashboard?orgId=1&refresh=5s&panelId=11'
                  }
                  
               ]
            }
         ]
      }
   ],
 }